Bug 146987 - find /etc | xargs grep LANG causes Kernel Panic
Summary: find /etc | xargs grep LANG causes Kernel Panic
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 3
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-03 12:58 UTC by Anderson
Modified: 2015-01-04 22:16 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2005-02-03 18:50:59 UTC


Attachments (Terms of Use)
'lspci' output (3.49 KB, text/plain)
2005-02-03 13:00 UTC, Anderson
no flags Details
'lsmod' output (2.03 KB, text/plain)
2005-02-03 13:01 UTC, Anderson
no flags Details
Syslog messages I've gotten when I ran the command (7.13 KB, text/plain)
2005-02-04 02:16 UTC, Anderson
no flags Details
Syslog messages I've gotten when I ran the command under the kernel I built (7.13 KB, text/plain)
2005-02-04 02:17 UTC, Anderson
no flags Details

Description Anderson 2005-02-03 12:58:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
I get a Kernel Panic when I execute this command:

$ find /etc | xargs grep LANG

I can get the panic without root provileges.

When I run that command, it looks for files under /etc, but when it reaches /etc/udev/devices, these errors appears:

grep: /etc/udev/devices/nvidia0: Invalid argument
Kernel Panic - not syncing| arch/i386/kernel/semaphore.c: 64: spin_is_locked on unintialized spinlock f1b75fa8

I also could reproduce the bug using kernel 2.6.10-1.753_FC3 and 2.6.10-1.737_FC3. The kernel panic message changed a bit:

2.6.10-1.753_FC3:

grep: /etc/udev/devices/nvidia0: Invalid argument
Kernel Panic - not syncing| arch/i386/kernel/semaphore.c: 64: spin_is_locked on unintialized spinlock f1ab8fa8


2.6.10-1.737_FC3:

grep: /etc/udev/devices/nvidia0: Invalid argument
Kernel Panic - not syncing| arch/i386/kernel/semaphore.c: 64: spin_is_locked on unintialized spinlock f1abeea8


Version-Release number of selected component (if applicable):
2.6.10-1.760_FC3

How reproducible:
Always

Steps to Reproduce:
1. Open konsole
2. Type (without quotes) "find /etc | xargs grep LANG"
3. Press ENTER
    

Actual Results:  I've got a Kernel Panic

Expected Results:  The command should return all files under /etc that contain the text 'LANG'.

Additional info:

Comment 1 Anderson 2005-02-03 13:00:17 UTC
Created attachment 110591 [details]
'lspci' output

Comment 2 Anderson 2005-02-03 13:01:06 UTC
Created attachment 110592 [details]
'lsmod' output

Comment 3 Anderson 2005-02-03 13:01:52 UTC
[root@anderson up2date]# nvidia-installer -i 
 
Welcome to the NVIDIA Software Installer for Unix/Linux 
 
 
The currently installed driver is: 'NVIDIA Accelerated Graphics 
Driver for Linux-x86' (version: 1.0-6629). 
 

Comment 4 Dave Jones 2005-02-03 18:50:59 UTC
This looks like /etc/udev/devices/nvidia0 is world readable, and grep
tried to open it, resulting in a crash.



Comment 5 Anderson 2005-02-04 02:14:16 UTC
That is! You are sure...

But I need to leave /etc/udev/devices/nvidia0 readable and writeable
for all users that belong to the 'users' group. Otherwise, only root
can use Xorg (and play my favorite games).

When I saw this bug closed, I decided to compile kernel 2.6.10 from
www.kernel.org. After booting the kernel I built, I repeated the
command and didn't get a kernel panic, but only a SEGV signal (a
kernel error in syslog, too). So, I still think there is a bug in
RedHat kernels, maybe a configuration problem or a patch.

I won't reopen this bug. But I want leave here that information.

Comment 6 Anderson 2005-02-04 02:16:42 UTC
Created attachment 110635 [details]
Syslog messages I've gotten when I ran the command

Comment 7 Anderson 2005-02-04 02:17:20 UTC
Created attachment 110636 [details]
Syslog messages I've gotten when I ran the command under the kernel I built

Comment 8 Dave Jones 2005-02-04 02:36:08 UTC
in both cases, the panic happened inside the nvidia module. nothing we
can do to fix this.



Note You need to log in before you can comment on or make changes to this bug.